summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* net-firewall/nftables: Drop old versionsMatt Turner2019-07-283-169/+0
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* net-firewall/nftables: arm stable wrt bug #688970Mikle Kolyada2019-07-281-1/+1
| | | | | | Package-Manager: Portage-2.3.66, Repoman-2.3.16 RepoMan-Options: --include-arches="arm" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* net-firewall/nftables: ia64 stable wrt bug #688970Agostino Sarubbo2019-07-021-1/+1
| | | | | | Signed-off-by: Agostino Sarubbo <ago@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11 RepoMan-Options: --include-arches="ia64"
* net-firewall/nftables: x86 stable wrt bug #688970Agostino Sarubbo2019-07-021-1/+1
| | | | | | Signed-off-by: Agostino Sarubbo <ago@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11 RepoMan-Options: --include-arches="x86"
* net-firewall/nftables: amd64 stable wrt bug #688970Agostino Sarubbo2019-07-021-1/+1
| | | | | | Signed-off-by: Agostino Sarubbo <ago@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11 RepoMan-Options: --include-arches="amd64"
* net-firewall/nftables: add doc and xtables USE flagsFrancisco Blas (klondike) Izquierdo Riera2019-06-292-2/+9
| | | | | | | | | | | | | | | | | This commit adds some fixes on the 0.9.1 package: * Adds the doc USE flag to control building of the man pages * Adds the app-text/asciidoc when building the man pages * Adds the xtables USE flag for better compatibility with iptables-compat * Adds the net-firewall/iptables dependency when using the xtables flag I have chosen +doc, xtables for better compatibility with prior versions. Also whilst man pages generally make sense, the xtables USE isn't needed on pure nftables setups which are the recommended approach. Closes: https://bugs.gentoo.org/688952 Signed-off-by: Francisco Blas Izquierdo Riera (klondike) <klondike@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
* net-firewall/nftables: Same for PYTHON_REQUIRED_USELars Wendler2019-06-281-1/+1
| | | | | Package-Manager: Portage-2.3.67, Repoman-2.3.16 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
* net-firewall/nftables: Move ${PYTHON_DEPS} into USE="python"Lars Wendler2019-06-281-1/+2
| | | | | Package-Manager: Portage-2.3.67, Repoman-2.3.16 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
* net-firewall/nftables: Removed old.Lars Wendler2019-06-283-268/+0
| | | | | Package-Manager: Portage-2.3.67, Repoman-2.3.16 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
* net-firewall/nftables: Bump to version 0.9.1Lars Wendler2019-06-284-0/+232
| | | | | Package-Manager: Portage-2.3.67, Repoman-2.3.16 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
* net-firewall/nftables: add ~arm64 keywordStephen Klimaszewski2019-05-211-1/+1
| | | | | Package-Manager: Portage-2.3.66, Repoman-2.3.12 Signed-off-by: Stephen Klimaszewski <steev@gentoo.org>
* net-firewall/nftables: arm64 keyworded (bug #668906)Aaron Bauman2019-04-081-2/+2
| | | | | Signed-off-by: Aaron Bauman <bman@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
* net-firewall/nftables: don't enable service by defaultMatthew Thode2019-01-281-0/+97
| | | | | | | Fixes: https://bugs.gentoo.org/676290 Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
* net-firewall/nftables: Minor fixes on the script closes #675188Francisco Blas (klondike) Izquierdo Riera2019-01-152-3/+4
| | | | | | | | | | | | | | * Use printf instead of echo for better shell compatibility. * Use an include instead of concatenating the ruleset. (Note that this is likely to fail is the ruleset path contains special characters). * Empty the table first when executing panic actions. Fixes: https://bugs.gentoo.org/675188 Signed-off-by: Francisco Blas Izquierdo Riera (klondike) <klondike@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
* net-firewall/nftables: Add atomic nftables updates for modern kernelsFrancisco Blas (klondike) Izquierdo Riera2019-01-075-0/+288
| | | | | | Signed-off-by: Francisco Blas Izquierdo Riera <klondike@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
* net-firewall/nftables: fix dodoc callMatthew Thode2018-11-191-1/+1
| | | | | | Fixes: https://bugs.gentoo.org/671540 Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
* net-firewall/nftables: move nft skels to docMatthew Thode2018-11-191-0/+89
| | | | | | Closes: https://bugs.gentoo.org/671254 Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
* net-firewall/nftables: Removed old.Lars Wendler2018-06-113-169/+0
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-firewall/nftables: Bump to version 0.9.0Lars Wendler2018-06-113-0/+89
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-firewall/nftables: Bump to version 0.8.5Lars Wendler2018-05-102-0/+84
| | | | | Closes: https://bugs.gentoo.org/655412 Package-Manager: Portage-2.3.36, Repoman-2.3.9
* net-firewall/nftables: Removed old.Lars Wendler2018-05-022-85/+0
| | | | Package-Manager: Portage-2.3.33, Repoman-2.3.9
* net-firewall/nftables: Bump to version 0.8.4Lars Wendler2018-05-022-0/+84
| | | | | Closes: https://bugs.gentoo.org/654604 Package-Manager: Portage-2.3.33, Repoman-2.3.9
* net-firewall/nftables: Removed old.Lars Wendler2018-03-072-85/+0
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-firewall/nftables: Bump to version 0.8.3Lars Wendler2018-03-072-0/+85
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-firewall/nftables: Bump to v0.8.2Thomas Deutschmann2018-02-032-0/+85
| | | | Package-Manager: Portage-2.3.21, Repoman-2.3.6
* net-firewall/nftables: Adjusted dependency on net-libs/libnftnl.Lars Wendler2018-01-201-1/+1
| | | | | Closes: https://bugs.gentoo.org/645144 Package-Manager: Portage-2.3.19, Repoman-2.3.6
* net-firewall/nftables: Removed old.Lars Wendler2018-01-185-237/+0
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* net-firewall/nftables: Bump to version 0.8.1Lars Wendler2018-01-182-0/+85
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* net-firewall/nftables: arm stable, bug #641228Markus Meier2018-01-101-1/+1
| | | | | Package-Manager: Portage-2.3.13, Repoman-2.3.3 RepoMan-Options: --include-arches="arm"
* net-firewall/nftables: amd64 stable wrt bug #641228Mikle Kolyada2018-01-041-2/+2
| | | | Package-Manager: Portage-2.3.13, Repoman-2.3.3
* net-firewall/nftables: stable 0.8-r3 for ia64, bug #641228Sergei Trofimovich2017-12-251-1/+1
| | | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="ia64"
* net-firewall/nftables: x86 stable (bug #641228)Thomas Deutschmann2017-12-191-1/+1
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* net-firewall/*: Update Manifest hashesMichał Górny2017-12-101-3/+3
|
* net-firewall/nftables: fixing the rules creating bug 634804Matthew Thode2017-10-251-9/+9
| | | | | Bug: 634804 Package-Manager: Portage-2.3.8, Repoman-2.3.3
* net-firewall/nftables: bind to net-libs/libnftnl and net-libs/libmnl subslotsSergei Trofimovich2017-10-181-2/+2
| | | | | Bug: https://bugs.gentoo.org/634604 Package-Manager: Portage-2.3.11, Repoman-2.3.3
* net-firewall/nftables: enable USE=gmp by default, bug #634586Sergei Trofimovich2017-10-181-1/+1
| | | | | | | | | nftables uses mini-gmp in USE=-gmp mode. Use system's gmp by default. This workarounds #634586 build failure by default but does not fix underlying problem of mini-gmp incopleteness. Bug: https://bugs.gentoo.org/634586 Package-Manager: Portage-2.3.11, Repoman-2.3.3
* net-firewall/nftables: Bump to version 0.8Lars Wendler2017-10-172-0/+85
| | | | Package-Manager: Portage-2.3.11, Repoman-2.3.3
* net-firewall/nftables: add self as maintainerMatthew Thode2017-08-021-0/+4
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.3
* net-firewall/nftables: Drop myself as a maintainerManuel Rüger2017-07-231-4/+0
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.3
* net-firewall/nftables: Remove proxy-maint (no proxied maintainers)Michał Górny2017-04-081-4/+0
| | | | Fixes: 73eb8b0a628 (Remove nvinson234@gmail.com as maintainer)
* Remove nvinson234@gmail.com as maintainerNicholas Vinson2017-03-041-4/+0
| | | | | | He is no longer a proxied maintainer. Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
* Drop $Id$ per council decision in bug #611234.Robin H. Johnson2017-02-282-2/+0
| | | | Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
* net-firewall/nftables: version bump to 0.7Nicholas Vinson2017-01-072-0/+84
| | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1
* net-firewall/nftables: Fix SAVE_OPTIONS bug in libexec scriptsNicholas Vinson2017-01-072-3/+4
| | | | | | | | | | | The libexec script doesn't honor the SAVE_OPTIONS variable. This commit fixes that issue. Thanks to Phil@nwl.cc for providing the fix for the issue. Gentoo-bug: 603228 Package-Manager: Portage-2.3.3, Repoman-2.3.1
* net-firewall/nftables: add xml USE flagNicholas Vinson2017-01-071-4/+5
| | | | | | | | | | | | | | libnftnl-1.0.7 no longer supports outputing the firewall state as XML. If a user wants that output, the user must use libnftnl-1.0.6. Therefore, I added the xml USE flag so I could restrict libnftnl to 1.0.6 when xml is enabled and allow newer versions to be used when it is not. Unforunately, nftables unconditionally compiles support for xml output, so when xml use is attempted with a version of libnftnl that does not support it, the result is just an empty file. Package-Manager: Portage-2.3.3, Repoman-2.3.1
* net-firewall/nftables: update systemd file target.Nicholas Vinson2016-10-262-2/+2
| | | | | | | | | | | | | | | | | | | Change the systemd unit files to use Before=network-pre.target Wants=network-pre.target as this better aligns with systemd documentation for this type of service. Special thanks to Shaun Bouckaert for triggering this review. He originally asked (via email) about how the connman systemd unit file handled its dependencies which prompted me to check this package as well. As for connman, v1.33-r1 seems to be aligned with systemd documentation. Package-Manager: portage-2.3.2 Closes: https://github.com/gentoo/gentoo/pull/2649 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
* net-firewall/nftables: Correct nftables-restore ConditionPathExists val.Nicholas Vinson2016-07-132-1/+1
| | | | | | | | | | | Change ConditionPathExists variable value to /var/lib/nftables/rules-save. The old value, /var/lib/nftables-rules-save, is incorrect. Package-Manager: portage-2.3.0 Gentoo-Bug: https://bugs.gentoo.org/588688 Closes: https://github.com/gentoo/gentoo/pull/1880 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
* net-firewall/nftables: backport null payload desc fixNicholas Vinson2016-07-112-1/+18
| | | | | | | | | | | | | nftables-0.6 handling of payload context descriptions was changed from version 0.5. This change causes the code to segfault when the desc variable in payload_expr_pctx_update() is set to null. The issue appears to be fixed with upstream commit 3503738f77cdbe521da1054a37f59ac2e442b4cf. Therefore, backporting that commit to 0.6 to fix this issue. Gentoo-bug: 588192 Package-Manager: portage-2.3.0 Closes: https://github.com/gentoo/gentoo/pull/1865
* net-firewall/nftables: Update support & service filesNicholas Vinson2016-07-034-7/+36
| | | | | | | | | - remove extraneous "exit $?" from files/libexec/nftables.sh - rename nftables.init-r2 to nftables.init - recreate & rewrite files/systemd/nftables.service into a proper systemd service - Update nftables-0.6.ebuild to use new file names. Package-Manager: portage-2.3.0_rc1
* net-firewall/nftables: Remove outdated filesNicholas Vinson2016-07-037-528/+0
| | | | Package-Manager: portage-2.3.0_rc1